<?php
$vehicleTypes = array();
$AllowedIcon = array();

function addAllowedIcon($icon) {
    global $AllowedIcon;
    $AllowedIcon[(string)$icon] = "1";
}

function isIconAllowed($icon) {
    global $AllowedIcon;
    if(count($AllowedIcon) > 0) {
        if(isset($AllowedIcon[(string)$icon]) && $AllowedIcon[(string)$icon][0] != "") {
            return true;
        } else {
            return false;
        }
    } else {
        return true;
    }
}

function addVehicleType($typeName,$Name,$Icon) {
    global $vehicleTypes;
    $vehicleTypes[(string)$typeName] = array((string)$Name,(string)$Icon);
}
function getVehicleType($typeName) {
    global $vehicleTypes;
    if(isset($vehicleTypes[(string)$typeName][0]) && $vehicleTypes[(string)$typeName][0] != "") {
        return $vehicleTypes[(string)$typeName][0];
    } else {
        return "Unbekannt";
    }        
}
function getVehicleIcon($typeName) {
    global $vehicleTypes;
    if(isset($vehicleTypes[(string)$typeName][1]) && $vehicleTypes[(string)$typeName][1] != "") {
        return "background: url(Style/Icons/".$vehicleTypes[(string)$typeName][1].".png) no-repeat bottom;";
    } else {
        return "background: url(Style/Icons/Y.png) no-repeat bottom;";
    }        
}

function getVehicleIconNameOnly($typeName) {
    global $vehicleTypes;
    if(isset($vehicleTypes[(string)$typeName][1]) && $vehicleTypes[(string)$typeName][1] != "") {
        return $vehicleTypes[(string)$typeName][1];
    } else {
        return "G";
    }        
}

function getMapInfoFileAccessCode($ServerIP, $ServerPort, $TimeOut, $AccessCode)
{
    $return = "";
    $fp = fsockopen($ServerIP, $ServerPort, $errno, $errstr, $TimeOut);
    if (!$fp) {
        $return = '
        <Server>
        </Server>
        ';
    } else {
        $out = "GET /feed/dedicated-server-stats.xml?code=".$AccessCode." HTTP/1.0\r\n";
        $out .= "Host: ".$ServerIP."\r\n";
        $out .= "Connection: Close\r\n\r\n";
        fwrite($fp, $out);
        while (!feof($fp)) {
            $return .= fgets($fp, 256);
        }
        $parts = explode("\r\n\r\n", $return);
        $return = "";
        for ($i=1;$i<count($parts);$i++) {
            $return .= $parts[$i];
        }
        fclose($fp);
    }
    $file = fopen("infos.xml", "w");
    fwrite($file, $return);
    fclose($file);	
}
?>